<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Expense Category List</title>
  </head>
  <body>
    <header>
      <nav>
        <li><a href="{% url 'home' %}">Home</a></li>
        <li><a href="{% url 'logout' %}">Logout</a></li>
      </nav>
    </header>
    <main>
      <h1>My Categories</h1>
      <table>
        <thead>
          <tr>
            <th>Name</th>
            <th>Number of Receipts</th>
          </tr>
        </thead>
        <tbody>
          {% for category in categories %}
          <tr>
            <td>{{ category.name }}</td>
            <td>{{ category.receipts.all|length }}</td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
    </main>
  </body>
</html>
